<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:30 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
DefaultRequestDirector (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultRequestDirector (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultRequestDirector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DefaultRedirectStrategy.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DefaultServiceUnavailableRetryStrategy.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/DefaultRequestDirector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultRequestDirector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.impl.client</FONT>
<BR>
Class DefaultRequestDirector</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.impl.client.DefaultRequestDirector</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/http/client/RequestDirector.html" title="interface in org.apache.http.client">RequestDirector</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.3)</I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/NotThreadSafe.html?is-external=true" title="class or interface in org.apache.http.annotation">@NotThreadSafe</A>
</FONT>public class <B>DefaultRequestDirector</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../org/apache/http/client/RequestDirector.html" title="interface in org.apache.http.client">RequestDirector</A></DL>
</PRE>

<P>
Default implementation of <A HREF="../../../../../org/apache/http/client/RequestDirector.html" title="interface in org.apache.http.client"><CODE>RequestDirector</CODE></A>.
 <p>
 The following parameters can be used to customize the behavior of this
 class:
 <ul>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#PROTOCOL_VERSION" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.PROTOCOL_VERSION</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#STRICT_TRANSFER_ENCODING" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.STRICT_TRANSFER_ENCODING</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#HTTP_ELEMENT_CHARSET" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.HTTP_ELEMENT_CHARSET</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#USE_EXPECT_CONTINUE" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.USE_EXPECT_CONTINUE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#WAIT_FOR_CONTINUE" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.WAIT_FOR_CONTINUE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#USER_AGENT" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.USER_AGENT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SOCKET_BUFFER_SIZE" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SOCKET_BUFFER_SIZE</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#MAX_LINE_LENGTH" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.MAX_LINE_LENGTH</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#MAX_HEADER_COUNT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.MAX_HEADER_COUNT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_TIMEOUT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_TIMEOUT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_LINGER" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_LINGER</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#SO_REUSEADDR" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.SO_REUSEADDR</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#TCP_NODELAY" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.TCP_NODELAY</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#CONNECTION_TIMEOUT" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.CONNECTION_TIMEOUT</CODE></A></li>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreConnectionPNames.html?is-external=true#STALE_CONNECTION_CHECK" title="class or interface in org.apache.http.params"><CODE>CoreConnectionPNames.STALE_CONNECTION_CHECK</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/conn/params/ConnRoutePNames.html#FORCED_ROUTE"><CODE>ConnRoutePNames.FORCED_ROUTE</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/conn/params/ConnRoutePNames.html#LOCAL_ADDRESS"><CODE>ConnRoutePNames.LOCAL_ADDRESS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/conn/params/ConnRoutePNames.html#DEFAULT_PROXY"><CODE>ConnRoutePNames.DEFAULT_PROXY</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/cookie/params/CookieSpecPNames.html#DATE_PATTERNS"><CODE>CookieSpecPNames.DATE_PATTERNS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/cookie/params/CookieSpecPNames.html#SINGLE_COOKIE_HEADER"><CODE>CookieSpecPNames.SINGLE_COOKIE_HEADER</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/auth/params/AuthPNames.html#CREDENTIAL_CHARSET"><CODE>AuthPNames.CREDENTIAL_CHARSET</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#COOKIE_POLICY"><CODE>ClientPNames.COOKIE_POLICY</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#HANDLE_AUTHENTICATION"><CODE>ClientPNames.HANDLE_AUTHENTICATION</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#HANDLE_REDIRECTS"><CODE>ClientPNames.HANDLE_REDIRECTS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#MAX_REDIRECTS"><CODE>ClientPNames.MAX_REDIRECTS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#ALLOW_CIRCULAR_REDIRECTS"><CODE>ClientPNames.ALLOW_CIRCULAR_REDIRECTS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#VIRTUAL_HOST"><CODE>ClientPNames.VIRTUAL_HOST</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#DEFAULT_HOST"><CODE>ClientPNames.DEFAULT_HOST</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#DEFAULT_HEADERS"><CODE>ClientPNames.DEFAULT_HEADERS</CODE></A></li>
  <li><A HREF="../../../../../org/apache/http/client/params/ClientPNames.html#CONN_MANAGER_TIMEOUT"><CODE>ClientPNames.CONN_MANAGER_TIMEOUT</CODE></A></li>
 </ul>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#connManager">connManager</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The connection manager.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#httpProcessor">httpProcessor</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The HTTP protocol processor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#keepAliveStrategy">keepAliveStrategy</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The keep-alive duration strategy.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#managedConn">managedConn</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The currently allocated connection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#params">params</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The HTTP parameters.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#proxyAuthHandler">proxyAuthHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth">AuthState</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#proxyAuthState">proxyAuthState</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#proxyAuthStrategy">proxyAuthStrategy</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The proxy authentication handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/RedirectHandler.html" title="interface in org.apache.http.client">RedirectHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#redirectHandler">redirectHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#redirectStrategy">redirectStrategy</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The redirect strategy.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#requestExec">requestExec</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The request executor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#retryHandler">retryHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The request retry handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#reuseStrategy">reuseStrategy</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The connection re-use strategy.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#routePlanner">routePlanner</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The route planner.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#targetAuthHandler">targetAuthHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth">AuthState</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#targetAuthState">targetAuthState</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#targetAuthStrategy">targetAuthStrategy</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The target authentication handler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#userTokenHandler">userTokenHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;The user token handler.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#DefaultRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">DefaultRequestDirector</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A>&nbsp;requestExec,
                       <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reustrat,
                       <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>&nbsp;kastrat,
                       <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>&nbsp;rouplan,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                       <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>&nbsp;retryHandler,
                       <A HREF="../../../../../org/apache/http/client/RedirectHandler.html" title="interface in org.apache.http.client">RedirectHandler</A>&nbsp;redirectHandler,
                       <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;targetAuthHandler,
                       <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;proxyAuthHandler,
                       <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>&nbsp;userTokenHandler,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#DefaultRequestDirector(org.apache.commons.logging.Log, org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">DefaultRequestDirector</A></B>(org.apache.commons.logging.Log&nbsp;log,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A>&nbsp;requestExec,
                       <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reustrat,
                       <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>&nbsp;kastrat,
                       <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>&nbsp;rouplan,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                       <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>&nbsp;retryHandler,
                       <A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A>&nbsp;redirectStrategy,
                       <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;targetAuthHandler,
                       <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;proxyAuthHandler,
                       <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>&nbsp;userTokenHandler,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#DefaultRequestDirector(org.apache.commons.logging.Log, org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)">DefaultRequestDirector</A></B>(org.apache.commons.logging.Log&nbsp;log,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A>&nbsp;requestExec,
                       <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reustrat,
                       <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>&nbsp;kastrat,
                       <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>&nbsp;rouplan,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                       <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>&nbsp;retryHandler,
                       <A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A>&nbsp;redirectStrategy,
                       <A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A>&nbsp;targetAuthStrategy,
                       <A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A>&nbsp;proxyAuthStrategy,
                       <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>&nbsp;userTokenHandler,
                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#createConnectRequest(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)">createConnectRequest</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates the CONNECT request for tunnelling.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#createTunnelToProxy(org.apache.http.conn.routing.HttpRoute, int, org.apache.http.protocol.HttpContext)">createTunnelToProxy</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                    int&nbsp;hop,
                    <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a tunnel to an intermediate proxy.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#createTunnelToTarget(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)">createTunnelToTarget</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                     <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a tunnel to the target server.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#determineRoute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">determineRoute</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Determines the route for a request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#establishRoute(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)">establishRoute</A></B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Establishes the target route.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">execute</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Executes a request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/impl/client/RoutedRequest.html" title="class in org.apache.http.impl.client">RoutedRequest</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#handleResponse(org.apache.http.impl.client.RoutedRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)">handleResponse</A></B>(<A HREF="../../../../../org/apache/http/impl/client/RoutedRequest.html" title="class in org.apache.http.impl.client">RoutedRequest</A>&nbsp;roureq,
               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A>&nbsp;response,
               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Analyzes a response to check need for a followup.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#releaseConnection()">releaseConnection</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Returns the connection back to the connection manager
 and prepares for retrieving a new connection during
 the next request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#rewriteRequestURI(org.apache.http.impl.client.RequestWrapper, org.apache.http.conn.routing.HttpRoute)">rewriteRequestURI</A></B>(<A HREF="../../../../../org/apache/http/impl/client/RequestWrapper.html" title="class in org.apache.http.impl.client">RequestWrapper</A>&nbsp;request,
                  <A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="connManager"><!-- --></A><H3>
connManager</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A> <B>connManager</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The connection manager.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="routePlanner"><!-- --></A><H3>
routePlanner</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A> <B>routePlanner</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The route planner.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="reuseStrategy"><!-- --></A><H3>
reuseStrategy</H3>
<PRE>
protected final <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A> <B>reuseStrategy</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The connection re-use strategy.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="keepAliveStrategy"><!-- --></A><H3>
keepAliveStrategy</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A> <B>keepAliveStrategy</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The keep-alive duration strategy.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="requestExec"><!-- --></A><H3>
requestExec</H3>
<PRE>
protected final <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A> <B>requestExec</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The request executor.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="httpProcessor"><!-- --></A><H3>
httpProcessor</H3>
<PRE>
protected final <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A> <B>httpProcessor</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The HTTP protocol processor.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="retryHandler"><!-- --></A><H3>
retryHandler</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A> <B>retryHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The request retry handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="redirectHandler"><!-- --></A><H3>
redirectHandler</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>protected final <A HREF="../../../../../org/apache/http/client/RedirectHandler.html" title="interface in org.apache.http.client">RedirectHandler</A> <B>redirectHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The redirect handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="redirectStrategy"><!-- --></A><H3>
redirectStrategy</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A> <B>redirectStrategy</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The redirect strategy.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="targetAuthHandler"><!-- --></A><H3>
targetAuthHandler</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>protected final <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A> <B>targetAuthHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The target authentication handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="targetAuthStrategy"><!-- --></A><H3>
targetAuthStrategy</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A> <B>targetAuthStrategy</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The target authentication handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="proxyAuthHandler"><!-- --></A><H3>
proxyAuthHandler</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>protected final <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A> <B>proxyAuthHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The proxy authentication handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="proxyAuthStrategy"><!-- --></A><H3>
proxyAuthStrategy</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A> <B>proxyAuthStrategy</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The proxy authentication handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="userTokenHandler"><!-- --></A><H3>
userTokenHandler</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A> <B>userTokenHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The user token handler.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="params"><!-- --></A><H3>
params</H3>
<PRE>
protected final <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A> <B>params</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The HTTP parameters.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="managedConn"><!-- --></A><H3>
managedConn</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A> <B>managedConn</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>The currently allocated connection.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="targetAuthState"><!-- --></A><H3>
targetAuthState</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth">AuthState</A> <B>targetAuthState</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
</DL>
</DL>
<HR>

<A NAME="proxyAuthState"><!-- --></A><H3>
proxyAuthState</H3>
<PRE>
protected final <A HREF="../../../../../org/apache/http/auth/AuthState.html" title="class in org.apache.http.auth">AuthState</A> <B>proxyAuthState</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultRequestDirector(org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultRequestDirector</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultRequestDirector</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A>&nbsp;requestExec,
                                         <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reustrat,
                                         <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>&nbsp;kastrat,
                                         <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>&nbsp;rouplan,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                                         <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>&nbsp;retryHandler,
                                         <A HREF="../../../../../org/apache/http/client/RedirectHandler.html" title="interface in org.apache.http.client">RedirectHandler</A>&nbsp;redirectHandler,
                                         <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;targetAuthHandler,
                                         <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;proxyAuthHandler,
                                         <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>&nbsp;userTokenHandler,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;
<P>
</DL>
<HR>

<A NAME="DefaultRequestDirector(org.apache.commons.logging.Log, org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationHandler, org.apache.http.client.AuthenticationHandler, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultRequestDirector</H3>
<PRE>
<FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
</FONT>public <B>DefaultRequestDirector</B>(org.apache.commons.logging.Log&nbsp;log,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A>&nbsp;requestExec,
                                         <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reustrat,
                                         <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>&nbsp;kastrat,
                                         <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>&nbsp;rouplan,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                                         <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>&nbsp;retryHandler,
                                         <A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A>&nbsp;redirectStrategy,
                                         <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;targetAuthHandler,
                                         <A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>&nbsp;proxyAuthHandler,
                                         <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>&nbsp;userTokenHandler,
                                         <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;
<P>
</DL>
<HR>

<A NAME="DefaultRequestDirector(org.apache.commons.logging.Log, org.apache.http.protocol.HttpRequestExecutor, org.apache.http.conn.ClientConnectionManager, org.apache.http.ConnectionReuseStrategy, org.apache.http.conn.ConnectionKeepAliveStrategy, org.apache.http.conn.routing.HttpRoutePlanner, org.apache.http.protocol.HttpProcessor, org.apache.http.client.HttpRequestRetryHandler, org.apache.http.client.RedirectStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.AuthenticationStrategy, org.apache.http.client.UserTokenHandler, org.apache.http.params.HttpParams)"><!-- --></A><H3>
DefaultRequestDirector</H3>
<PRE>
public <B>DefaultRequestDirector</B>(org.apache.commons.logging.Log&nbsp;log,
                              <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpRequestExecutor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpRequestExecutor</A>&nbsp;requestExec,
                              <A HREF="../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>&nbsp;conman,
                              <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;reustrat,
                              <A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>&nbsp;kastrat,
                              <A HREF="../../../../../org/apache/http/conn/routing/HttpRoutePlanner.html" title="interface in org.apache.http.conn.routing">HttpRoutePlanner</A>&nbsp;rouplan,
                              <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                              <A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>&nbsp;retryHandler,
                              <A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A>&nbsp;redirectStrategy,
                              <A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A>&nbsp;targetAuthStrategy,
                              <A HREF="../../../../../org/apache/http/client/AuthenticationStrategy.html" title="interface in org.apache.http.client">AuthenticationStrategy</A>&nbsp;proxyAuthStrategy,
                              <A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>&nbsp;userTokenHandler,
                              <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
<DT><B>Since:</B></DT>
  <DD>4.2</DD>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="rewriteRequestURI(org.apache.http.impl.client.RequestWrapper, org.apache.http.conn.routing.HttpRoute)"><!-- --></A><H3>
rewriteRequestURI</H3>
<PRE>
protected void <B>rewriteRequestURI</B>(<A HREF="../../../../../org/apache/http/impl/client/RequestWrapper.html" title="class in org.apache.http.impl.client">RequestWrapper</A>&nbsp;request,
                                 <A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route)
                          throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ProtocolException.html?is-external=true" title="class or interface in org.apache.http">ProtocolException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ProtocolException.html?is-external=true" title="class or interface in org.apache.http">ProtocolException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
execute</H3>
<PRE>
public <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A> <B>execute</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
                            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
                            <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                     throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>,
                            <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/client/RequestDirector.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">RequestDirector</A></CODE></B></DD>
<DD>Executes a request.
 <br/><b>Note:</b>
 For the time being, a new director is instantiated for each request.
 This is the same behavior as for <code>HttpMethodDirector</code>
 in HttpClient 3.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/client/RequestDirector.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)">execute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/client/RequestDirector.html" title="interface in org.apache.http.client">RequestDirector</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>target</CODE> - the target host for the request.
                  Implementations may accept <code>null</code>
                  if they can still determine a route, for example
                  to a default target or by inspecting the request.<DD><CODE>request</CODE> - the request to execute<DD><CODE>context</CODE> - the context for executing the request
<DT><B>Returns:</B><DD>the final response to the request.
          This is never an intermediate response with status code 1xx.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of a problem
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an IO problem
                                     or if the connection was aborted</DL>
</DD>
</DL>
<HR>

<A NAME="releaseConnection()"><!-- --></A><H3>
releaseConnection</H3>
<PRE>
protected void <B>releaseConnection</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Returns the connection back to the connection manager
 and prepares for retrieving a new connection during
 the next request.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="determineRoute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
determineRoute</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A> <B>determineRoute</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpHost.html?is-external=true" title="class or interface in org.apache.http">HttpHost</A>&nbsp;target,
                                   <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A>&nbsp;request,
                                   <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                            throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Determines the route for a request.
 Called by <A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)"><CODE>execute(org.apache.http.HttpHost, org.apache.http.HttpRequest, org.apache.http.protocol.HttpContext)</CODE></A>
 to determine the route for either the original or a followup request.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>target</CODE> - the target host for the request.
                  Implementations may accept <code>null</code>
                  if they can still determine a route, for example
                  to a default target or by inspecting the request.<DD><CODE>request</CODE> - the request to execute<DD><CODE>context</CODE> - the context to use for the execution,
                  never <code>null</code>
<DT><B>Returns:</B><DD>the route the request should take
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of a problem</DL>
</DD>
</DL>
<HR>

<A NAME="establishRoute(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
establishRoute</H3>
<PRE>
protected void <B>establishRoute</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                              <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                       throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>,
                              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Establishes the target route.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - the route to establish<DD><CODE>context</CODE> - the context for the request execution
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of a problem
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an IO problem</DL>
</DD>
</DL>
<HR>

<A NAME="createTunnelToTarget(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
createTunnelToTarget</H3>
<PRE>
protected boolean <B>createTunnelToTarget</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                                throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>,
                                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a tunnel to the target server.
 The connection must be established to the (last) proxy.
 A CONNECT request for tunnelling through the proxy will
 be created and sent, the response received and checked.
 This method does <i>not</i> update the connection with
 information about the tunnel, that is left to the caller.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - the route to establish<DD><CODE>context</CODE> - the context for request execution
<DT><B>Returns:</B><DD><code>true</code> if the tunnelled route is secure,
          <code>false</code> otherwise.
          The implementation here always returns <code>false</code>,
          but derived classes may override.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of a problem
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an IO problem</DL>
</DD>
</DL>
<HR>

<A NAME="createTunnelToProxy(org.apache.http.conn.routing.HttpRoute, int, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
createTunnelToProxy</H3>
<PRE>
protected boolean <B>createTunnelToProxy</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                                      int&nbsp;hop,
                                      <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                               throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>,
                                      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates a tunnel to an intermediate proxy.
 This method is <i>not</i> implemented in this class.
 It just throws an exception here.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - the route to establish<DD><CODE>hop</CODE> - the hop in the route to establish now.
                  <code>route.getHopTarget(hop)</code>
                  will return the proxy to tunnel to.<DD><CODE>context</CODE> - the context for request execution
<DT><B>Returns:</B><DD><code>true</code> if the partially tunnelled connection
          is secure, <code>false</code> otherwise.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of a problem
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an IO problem</DL>
</DD>
</DL>
<HR>

<A NAME="createConnectRequest(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
createConnectRequest</H3>
<PRE>
protected <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http">HttpRequest</A> <B>createConnectRequest</B>(<A HREF="../../../../../org/apache/http/conn/routing/HttpRoute.html" title="class in org.apache.http.conn.routing">HttpRoute</A>&nbsp;route,
                                           <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Creates the CONNECT request for tunnelling.
 Called by <A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html#createTunnelToTarget(org.apache.http.conn.routing.HttpRoute, org.apache.http.protocol.HttpContext)"><CODE>createTunnelToTarget</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>route</CODE> - the route to establish<DD><CODE>context</CODE> - the context for request execution
<DT><B>Returns:</B><DD>the CONNECT request for tunnelling</DL>
</DD>
</DL>
<HR>

<A NAME="handleResponse(org.apache.http.impl.client.RoutedRequest, org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)"><!-- --></A><H3>
handleResponse</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/impl/client/RoutedRequest.html" title="class in org.apache.http.impl.client">RoutedRequest</A> <B>handleResponse</B>(<A HREF="../../../../../org/apache/http/impl/client/RoutedRequest.html" title="class in org.apache.http.impl.client">RoutedRequest</A>&nbsp;roureq,
                                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpResponse.html?is-external=true" title="class or interface in org.apache.http">HttpResponse</A>&nbsp;response,
                                       <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>&nbsp;context)
                                throws <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>,
                                       <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD>Analyzes a response to check need for a followup.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>roureq</CODE> - the request and route.<DD><CODE>response</CODE> - the response to analayze<DD><CODE>context</CODE> - the context used for the current request execution
<DT><B>Returns:</B><DD>the followup request and route if there is a followup, or
          <code>null</code> if the response should be returned as is
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A></CODE> - in case of a problem
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A></CODE> - in case of an IO problem</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultRequestDirector.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DefaultRedirectStrategy.html" title="class in org.apache.http.impl.client"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/DefaultServiceUnavailableRetryStrategy.html" title="class in org.apache.http.impl.client"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/DefaultRequestDirector.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultRequestDirector.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
